﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace ProbabiltyCalc
{
	public class Csv
	{
		private Dictionary<string, int> m_columnsIndexDict;

		public Csv(string filename)
		{
			m_columnsIndexDict = new Dictionary<string, int>(); // just contains column index for each column name
			Table = new List<IList<string>>();
			ReadCsvFile(filename);
		}

		public IList<IList<string>> Table { get; private set; }

		public int GetColumnIndex(string columnName)
		{
			return m_columnsIndexDict[columnName];
		}

		private void ReadCsvFile(string filename)
		{
			using (StreamReader sr = File.OpenText(filename))
			{
				string line = sr.ReadLine();
				int index = 0;
				foreach (string column in line.Split(';'))
				{
					m_columnsIndexDict[column] = index;
					index++;
				}
				while((line = sr.ReadLine()) != null)
				{
					List<string> row = new List<string>();
					foreach (string column in line.Split(';'))
					{
						row.Add(column);
					}
					Table.Add(row);
				}
			}
		}
	}
}
