﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using System.IO;

namespace ProbabiltyCalc
{
	[XmlRoot("ProbRequest")]
	public class ProbRequest
	{
		private static XmlSerializer m_serializer = new XmlSerializer(typeof(ProbRequest));

		public Request[] Requests { get; set; }

		public static ProbRequest Load(string filename)
		{
			ProbRequest request;
			using(StreamReader sr = File.OpenText(filename))
			{
				request = (ProbRequest)m_serializer.Deserialize(sr);
			}
			return request;
		}
	}

	public class Request
	{
		public KeyValue Filter { get; set; }

		public string Left { get; set; }

		public string Right { get; set; }
	}

	public class KeyValue
	{
		public string Key { get; set; }

		public string Value { get; set; }
	}
}
